@import url('https://fonts.googleapis.com/css?family=Montserrat:300,400,800&display=swap');
/*! HTML5 Boilerplate v7.3.0 | MIT License | https://html5boilerplate.com/ */

/* main.css 2.0.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  color: #222;
  font-size: 0.9em;
  line-height: 1.4;
  font-family: 'Montserrat', sans-serif !important;
  text-rendering: optimizeLegibility !important;
  -webkit-font-smoothing: antialiased !important;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Browser Upgrade Prompt
   ========================================================================== */

.browserupgrade {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
/*HELPERS*/
.handed {cursor: pointer !important;}
/*DISPLAY*/
.is-block {display: block !important;}
.no-block {display: none !important;}
/*VISIBILITY*/
.is-invisible {visibility: hidden !important;}
/*POSITION*/
.is-absolute {position: absolute !important;}
.is-absolute-b-0px {position: absolute !important; bottom: 0px !important;}
.is-absolute-b-min-5px {position: absolute !important; bottom: -5px !important;}
/*MARGIN*/
.ma-no {margin: 0 !important;}
.ma-no-t {margin-top: 0rem !important;}
.ma-no-b {margin-bottom: 0rem !important;}
.ma-one {margin: 1rem !important;}
.ma-half {margin: 0.5rem !important;}
.ma-t-half {margin-top: .5rem !important;}
.ma-t-one {margin-top: 1rem !important;}
.ma-t-50 {margin-top: 50px !important;}
.ma-b-one {margin-bottom: 1rem !important;}
.ma-b-oneh {margin-bottom: 1.5rem !important;}
.ma-b-half {margin-bottom: .5rem !important;}
.ma-lr-half {margin-left: .5rem !important; margin-right: .5rem !important;}
.ma-lr-one {margin-left: 1rem !important; margin-right: 1rem !important;}
.ma-r-5p {margin-right: 5px !important;}
.ma-r-half {margin-right: .5rem !important;}
.ma-2 {margin: 2px !important;}
/*PADDING*/
.pa-no {padding: 0 !important;}
.pa-no-t {padding-top: 0 !important;}
.pa-no-b {padding-bottom: 0 !important;}
.pa-5 {padding: 5px !important;}
.pa-one {padding: 1rem !important;}
.pa-two {padding: 2rem !important;}
.pa-half {padding: .5rem !important;}
.pa-quarter {padding: 0.25rem !important;}
.pa-b-one {padding-bottom: 1rem !important;}
.pa-b-5p {padding-bottom: 5px !important;}
.pa-t-half {padding-top: .5rem !important;}
.pa-t-one {padding-top: 1rem !important;}
.pa-t-three {padding-top: 3rem !important;}
.pa-t-5p {padding-top: 5px !important;}
.pa-b-half {padding-bottom: .5rem !important;}
.pa-b-two {padding-bottom: 2rem !important;}
.pa-b-tird {padding-bottom: 3rem !important;}
.pa-lr-quo {padding-left: .25rem !important; padding-right: .25rem !important;}
.pa-lr-half {padding-left: .5rem !important; padding-right: .5rem !important;}
.pa-lr-one {padding-left: 1rem !important; padding-right: 1rem !important;}
/*BORDERS*/
.bo-t-s {border-top: 1px solid hsl(0, 0%, 48%) !important;}
.bo-t-s-b {border-top: 1px solid #3273dc !important;}
.bo-s {border: 1px solid hsl(0, 0%, 80%) !important;}
.bo-no {border: 0px !important;}
.bo-r-no {border-radius: 0px !important;}
.bo-r-five {border-radius: 5px !important;}
.bo-r-30 {border-radius: 30px !important;}
/*FONTS*/
.fo-w-l {font-weight: lighter !important;}
.fo-w-600 {font-weight: 600 !important;}
.fo-w-b {font-weight: bolder !important;}
.fo-cap {text-transform: capitalize !important;}
.fo-up {text-transform: uppercase !important;}
.fo-d-u {text-decoration: underline !important;}
.fo-s-17 {font-size: 17px !important;}
.fo-s-14 {font-size: 14px !important;}
.fo-s-12 {font-size: 12px !important;}
/*TEXT SHADOW*/
.te-shadow-grey {text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.3) !important;}
/*BACKGROUND*/
.has-no-background {background-color: rgba(0,0,0,0) !important;}
.has-background-green-1 {background-color: #3fb3a2 !important;}
/*SHADOW*/
.shadow-one {-webkit-box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02); !important;
-moz-box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02); !important;
box-shadow: 0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02); !important;}
.shadow-grey {box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.3);}
.text-shadow-one {
 text-shadow: 1px 0px 2px rgba(150, 150, 150, 0.88) !important;
}
/*SIZE*/
.he-45 {height: 45px !important; max-height: 45px !important; min-height: 45px !important;}
.he-120 {height: 120px !important; max-height: 120px !important; min-height: 120px !important;}
.he-140 {height: 140px !important; max-height: 140px !important; min-height: 140px !important;}
.he-170 {height: 170px !important; max-height: 170px !important; min-height: 170px !important;}
.he-220 {height: 220px !important; max-height: 220px !important; min-height: 220px !important;}
.he-180 {height: 180px !important; max-height: 180px !important; min-height: 180px !important;}
.he-100v {height: 100vh !important; max-height: 100vh !important; min-height: 100vh !important;}
.he-100v5 {height: calc(100vh - 2.5%) !important; max-height: calc(100vh - 2.5%) !important; min-height: calc(100vh - 2.5%) !important;}
.he-100p {height: 100% !important; max-height: 100% !important; min-height: 100% !important;}
.wi-100 {width: 100% !important;}
/*POSITION ABSOLUTE*/
.is-p-a-fr {position: absolute !important; right: 0 !important;}
.is-p-a-t-10p {position: absolute !important; top: -10px !important;}
.is-p-a-fr-fb {position: absolute !important; right: 0 !important; bottom: 0 !important;}
/*POSITION RELATIVE*/
.is-p-r-t-50 {position: relative !important; top: -50px !important;}
/*OVERFLOW*/
.ove-no {overflow: hidden;}
.ove-auto {overflow: auto;}
.ove-scroll {overflow: scroll;}
/*HOVER NONE*/
.has-hover-no {
}.has-hover-no:hover {
  background-color: inherit !important;
}
.has-hover-primary {
} .has-hover-primary:hover {
  background-color: hsl(171, 100%, 41%) !important;
}


/*ICON FOR MAIN SEARCH BOX*/
.search-main-icon {
  position: absolute;
  top: 20px;
  left: -40px;
  background: #FF3860;
  padding: 5px 15px;
  font-size: 40px;
  color: white;
}
/* RADIO The container */
label.radio {
  display: block;
  position: relative;
  height: 36px !important;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
/* Hide the browser's default radio button */
label.radio input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}
/* Create a custom radio button */
.checkmark {
  position: absolute;
  height: 100%;
  top: 10px;
  left: 10px;
}
/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}
/* Show the indicator (dot/circle) when checked */
label.radio input:checked ~ .checkmark:after {
  display: block;
}
/* Style the indicator (dot/circle) */
label.radio .checkmark:after {
 	top: -10px;
	left: -10px;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  font-size: 1rem;
  content: "\f058";
  color: white;
  width: 17px;
  height: 100%;
  background-color: rgba(0,0,0,0.5);
  border-radius: 5px 0 0 5px;
}
/*Range*/
.range-container {
  width: 100%;
}
.range-slider {
  -webkit-appearance: none;
  width: 100%;
  height: 4px;
  background-color: #aeaeae;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}
.range-slider:hover {
  opacity: 1;
}
.range-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 30px;
  height: 25px;
  background-color: #aeaeae;
  border-radius: 0;
  cursor: pointer;
}
.range-slider::-moz-range-thumb {
  width: 30px;
  height: 25px;
  background-color: #3273DC;
  border-radius: 0;
  cursor: pointer;
}.input-price-container {
  position: absolute;
  bottom: -85px;
  right: 5px;
  width: 230px;
  z-index: 2;
}.input-price-container::after {
  content: "";
  display: inline-block;
  position: absolute;
  left: 211px;
  top: -15px;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 7.5px 15px 7.5px;
  border-color: transparent transparent hsl(0, 0%, 48%) transparent;
}
/*HERO MAIN SEARCH*/
#hero-search-main {
  background: url('../img/search-main.png') 50% 50%;
  background-size: cover;
}
/*FILTER OPTIONS*/
.filter-options {
  position: relative;
  display: inline-block;
  border-radius: 4px;
  background-color: hsl(0, 0%, 86%);
  padding: 1rem 14px;
  margin: 5px;
  width: 45px;
}
.filter-options .input-opc-filter {
  position: absolute;
  bottom: -55px;
  left: -13px;
  width: 45px;
  z-index: 1;
}

/*MASONRY PLUS*/
.search-img-0 {
  width: 100%;
  height: 200px;
  object-fit: cover;
}
.search-img-1 {
  width: 100%;
  height: 200px;
  object-fit: cover;
}
.search-img-2 {
  width: 100%;
  height: 422px;
  object-fit: cover;
}
.search-img-3 {
  width: 100%;
  height: 180px;
  object-fit: cover;
}
.search-img-4 {
  width: 100%;
  height: 623px;
  object-fit: cover;
}
a .search-mas-span {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 15px;
} .search-hover:hover > a .search-mas-span {
  background-color: rgba(0,0,0,0.3) !important;
  height: 100% !important;
  transition: all .5s;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0) !important;
} .search-hover:hover > a .search-mas-span p {
  display: block !important;
  transition: all 1s;
}

/*CATEGORIES FEED*/
.categorie-box img {
  width: 100% !important;
  height: 120px !important;
  object-fit: cover;
}

/*AGENCIES FEED*/
.agencies-box img {
  width: 100% !important;
  height: 180px !important;
  object-fit: cover;
}

/*show-on-map is-loading*/
.loading-box {
  display: block;
  width: 100%;
  height: 100%;
}
.loading-box:after {
  pointer-events: none;
  position: absolute;
  bottom: 0;
  right: 0;
  content: " ";
  display: block;
  width: 20px;
  height: 20px;
  margin: 8px;
  border-radius: 50%;
  border: 6px solid #fff;
  border-color: #fff transparent #fff transparent;
  animation: lds-dual-ring .7s linear infinite;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/*BUSCAR FEED*/
.buscar-box img {
  width: 100% !important;
  height: 180px !important;
  object-fit: cover;
}
.buscar-box h5 {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 15px;
  color: white !important;
} .buscar-box:hover > h5 {
  height: 100% !important;
  transition: all .5s;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0) !important;
  background-color: rgba(0,0,0,0.3) !important;
} .buscar-box:hover > h5 p {
  display: block !important;
  transition: all 1s;
}
/*MAP BUSCAR FEED*/
.map-box img {
  width: 100% !important;
  height: 250px !important;
  object-fit: cover;
}
.map-box h5 {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 15px;
  color: white !important;
} .map-box:hover > h5 {
  height: 100% !important;
  transition: all .5s;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0) !important;
  background-color: rgba(0,0,0,0.3) !important;
} .map-box:hover > h5 p {
  display: block !important;
  transition: all 1s;
}

/*MAPS*/
#buscar-map {
  width: calc(100% / 2);
  height: 100%;
  z-index: 1 !important;
}

/*PERFIL*/
#img-avatar {
  position: relative;
  width: 200px;
  height: 220px;
  object-fit: cover !important;
  z-index: 1;
} #img-avatar:hover {
  border: 2px solid #ededed;
}
.img-avatar-holder > i{
  display: none;
  position: absolute;
  bottom: 10px;
  right: 10px;
  color: #ececec;
  font-weight: bolder;
  font-size: 2rem;
  z-index: 2;
} #img-avatar:hover + i {
  display: block;
}
/*PERFIL LOGIN*/
.button-login {
  display: inline-block;
}
.button-login img{
  border-radius: 5px;
  height: 36px;
  width: 36px;
}
.abcRioButton:hover {
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
}.abcRioButtonLightBlue {
  background-color: inherit !important;
  color: inherit !important;
}.abcRioButton {
  display: inline-block !important;
  height: 36px !important;
  width: 36px !important;
  border: 1px solid #cecece;
  -webkit-border-radius: 5px !important;
  border-radius: 5px !important;
  box-shadow: none !important;
  -webkit-box-sizing: inherit !important;
  box-sizing: inherit !important;
  -webkit-transition: none !important;
  transition: none !important;
  -webkit-user-select: none !important;
  -webkit-appearance: none !important;
  background-color: inherit !important;
  background-image: none !important;
  color: inherit !important;
  cursor: pointer !important;
  outline: none !important;
  overflow: hidden !important;
  position: relative !important;
  text-align: center !important;
  vertical-align: middle !important;
  white-space: nowrap !important;
}
/*MAP EDIT*/
.products-map {
  height: 20rem !important;
  width: 100% !important;
}
/*PLANES*/
#planes-frame {
  position: fixed;
  top: 10px;
  left: 10px;
  border-radius: 5px;
  background: white;
  height: calc(100% - 20px);
  width: calc(100% - 20px);
  z-index: 1;
}

/*MUESTRA*/
/*PRODUCTOS*/
.integer-input {
  width: 50px;
  margin: 13px;
}

.product-container {
  height: 250px !important;
}
.product-img-container {
  position: absolute;
  height: 100%;
  width: 100%;
  object-fit: cover;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
.product-img-replacer {
  opacity: 0.2;
}

#imgHolder .product-img-showcase{
  display: inline-block;
  width: calc(33.33% - 4px);
  height: 75px;
  object-fit: cover;
  border-radius: 4px;
  margin: 0px 2px 2px 2px;
}

#imgHolder .product-img-showcase:first-child {
  float: left;
  width: 100%;
  height: 150px;
  margin-bottom: 2px;
}

#img-usu {
  display: block !important;
  float: left;
  margin: 10px !important;
  height: 100px !important;
  width: 100px !important;
} #img-usu img {
  display: block;
  height: 100%;
  object-fit: cover;
}

/*FILTERS*/
.integer-input {
  width: 50px;
  margin: 13px;
}

/*TOAST*/
#toast {
  position: fixed !important;
  bottom: 20px;
  left: calc(50% - 100px);
  width: 200px;
  z-index: 1001;
}
/*LOADER*/
.loader-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: #fff;
  opacity: 0;
  z-index: -1;
  transition: opacity .3s;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 6px;
    .loader {
      height: 80px;
      width: 80px;
    }
  &.is-active {
    opacity: 1;
    z-index: 1;
  }
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden {
  display: none !important;
}

/*
* Hide only visually, but have it available for screen readers:
* https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
*
* 1. For long content, line feeds are not interpreted as spaces and small width
*    causes content to wrap 1 word per line:
*    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
*/

.sr-only {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
* Extends the .sr-only class to allow the element
* to be focusable when navigated to via the keyboard:
* https://www.drupal.org/node/897638
*/

.sr-only.focusable:active,
.sr-only.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
* Hide visually and from screen readers, but maintain layout
*/

.invisible {
  visibility: hidden;
}

/*
* Clearfix: contain floats
*
* For modern browsers
* 1. The space content is one way to avoid an Opera bug when the
*    `contenteditable` attribute is included anywhere else in the document.
*    Otherwise it causes space to appear at the top and bottom of elements
*    that receive the `clearfix` class.
* 2. The use of `table` rather than `block` is only necessary if using
*    `:before` to contain the top-margins of child elements.
*/

.clearfix:before,
.clearfix:after {
  content: " ";
  /* 1 */
  display: table;
  /* 2 */
}

.clearfix:after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (max-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
  .search-main-icon {
    left: -20px;
    font-size: 20px;
  }
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *:before,
  *:after {
    background: transparent !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }
  a,
  a:visited {
    text-decoration: underline;
  }
  a[href]:after {
    content: " (" attr(href) ")";
  }
  abbr[title]:after {
    content: " (" attr(title) ")";
  }
  /*
     * Don't show links that are fragment identifiers,
     * or use the `javascript:` pseudo protocol
     */
  a[href^="#"]:after,
  a[href^="javascript:"]:after {
    content: "";
  }
  pre {
    white-space: pre-wrap !important;
  }
  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }
  /*
     * Printing Tables:
     * https://web.archive.org/web/20180815150934/http://css-discuss.incutio.com/wiki/Printing_Tables
     */
  thead {
    display: table-header-group;
  }
  tr,
  img {
    page-break-inside: avoid;
  }
  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }
  h2,
  h3 {
    page-break-after: avoid;
  }
}
